TFTPD(8C)

NAME
tftpd - DARPA Trivial File Transfer Protocol server

SYNOPSIS
/usr/etc/tftpd [-s] [-S] [homedir]

DESCRIPTION
The server tftpd supports the DARPA Trivial File Transfer Protocol. The TFTP server operates at the port indicated in the ``tftp'' service description; see services (5). The server is normally started by inetd (8).

Before responding to a request, the server attempts to change its current directory to homedir. The default value, as distributed in /etc/inetd.conf, is /tftpboot.

The use of tftp does not require an account or password on the remote system. Due to the lack of authentication information, tftpd will allow only publicly readable files to be accessed. Files may be written only if they already exist and are publicly writable. Note that this extends the concept of ``public'' to include all users on all hosts that can be reached through the network; this may not be appropriate on all systems, and its implications should be considered before enabling tftp service.

The tftpd server runs with the user ID and group ID set to -2 , under the assumption that no files exist with that owner or group. However, nothing checks this assumption or enforces this restriction.

OPTIONS

-s  Secure. When specified, the daemon executes a chroot(2) to homedir, which must succeed.

-S  Stand alone. The server can be optionally used as a stand alone daemon, independent of inetd (8). This usage is for situations in which the number of tftp requests that the server has to respond to is very high over a very short period of time (e.g. handling boot requests from a large community of X terminals). The -S option is used to start the server as a stand alone daemon; you must manually place an entry to do so in your /etc/rc.local file and comment out the entry for tftpd in your /etc/inetd.conf file .

SEE ALSO
tftp(1C), inetd(8)